%#ifndef cppUseCases_hpp
%#define cppUseCases_hpp
%#include <string>


RGB=imread('AFM_1_Matlab.PNG');  %open AFM colour image
imshow(RGB); %show AFM image on Matlab windows
Grey = rgb2gray(RGB);
imshow(Grey);

%detect circle (draw by hand in ImageJ to be a perfect circle)
Rmin=100;
Rmax=800;
[centre,radius]=imfindcircles(Grey,[Rmin,Rmax],'Sensitivity',0.99);

%show circle and centre
viscircles(centre,radius);
hold on;
plot(centre(:,1),centre(:,2),'yx','LineWidth',1);
print('image_results','-djpeg');

%convert values to nm
nm=1.9230769;
centreNM = nm*(centre);
radiusNM = nm*radius;

%Read cartesian coordinates of all holes exported from ImageJ
XY = readtable('Septum_5_data.txt');

%Separate them in two columns (X and Y)
X=XY(:,1);
Y=XY(:,2);

%Divide the centre vector into two
x_zero = centreNM(:,1);
y_zero = centreNM(:,2);

%move the centre from the top left corner to the centre of the septum
Size = size(X);
L=Size(:,1);
X_polar = X;
Y_polar = Y;

for i = 1:L
      
    if  (X.(1)(i) < x_zero)
        X_polar.(1)(i)= (x_zero-X.(1)(i));
    end
    if (X.(1)(i) > x_zero)
        X_polar.(1)(i)= (X.(1)(i)-x_zero);
    end
    i=i+1;
end

for i = 1:L
      
    if  (Y.(1)(i) < y_zero)
        Y_polar.(1)(i)= (y_zero-Y.(1)(i));
    end
    if (Y.(1)(i) > y_zero)
        Y_polar.(1)(i)= (Y.(1)(i)-y_zero);
    end
    i=i+1;
end

%Calculate each radius for all the X_polar Y_polar values
pore_radius = X; %create a table equal to X just because it has the right amount of rows
for i = 1:L
      
   pore_radius.(1)(i)=sqrt((X_polar.(1)(i))*(X_polar.(1)(i))+(Y_polar.(1)(i))*(Y_polar.(1)(i)));
       
    i=i+1;
end

%Calculate the distance from each pore to the leading edge
Distance_edge = X; %same, create another table with the same amount of rows.

for i = 1:L
      
  Distance_edge.(1)(i) = pore_radius.(1)(i)-radiusNM;
       
    i=i+1;
end

writetable(Distance_edge);
writetable(pore_radius);

%mkdir Raveen_Image_5
%movefile Distance_edge.txt Raveen_Image_5
%movefile pore_radius.txt Raveen_Image_5
%movefile image_results.jpg Raveen_Image_5