
/*
 #Convert AFM image to stack of binary images
 */
 
run("Close All");

//define directory location of your file
dir1 = getDirectory("Choose Source Directory");
dir2 = getDirectory("Choose a Directory");

//write the exact name of your FILE WITH EXTENSION 
name1= getString("File name.extension", "SAC_.tif");

//define in how many slides you want to cut the image
number_slides=getNumber("number_of_slides", 255);

//This is to avoid seeing all the actions the system does
setBatchMode(true);

/*Use the loop to repeat the same process X times, The maximum number is 255 which is the number of times we can divide 
this image in binary using the threshold.
*/
for(i=0;i<number_slides;i++){
	
//Open image already transformed into grey-scale
open(dir1+name1);

//threshold image
setAutoThreshold("Otsu");

//Here we are selecting the threshold area
//define variables

a = 0;
b = number_slides-i;

setThreshold(a, b);

//apply the threshold, select false to put holes in black and ture to put them in white

setOption("BlackBackground", true);
run("Convert to Mask");

//clean up the binary image 
run("Fill Holes");
run("Open");

//separate holes by erode
//run("Dilate");
//run("Watershed");
//run("Erode");
}

//convert to stack
run("Images to Stack", "name=Stack2 title=[] use");

//write the name of the stack and the stack sequence WITHOUT EXTENSION 
name2 = getString("File name", "SAC_3_");

//Save stack as .tiff and .gif
saveAs("tiff", dir2+name2);
saveAs("gif", dir2+name2);

//Save the stack as Image Sequence for the analysis with the other code
dir3 = getDirectory("Choose a Directory");
run("Image Sequence... ", "format=TIFF name="+name2+" digits=3 save=["+dir3+"]");